From 1441e4f6cf353bcff7e7e87ea1794bdf0d715191 Mon Sep 17 00:00:00 2001
From: Benjamin Drung <benjamin.drung@ionos.com>
Date: Wed, 22 Dec 2021 16:55:02 +0100
Subject: Disable test cases that need Internet access

Ubuntu package builds prevents Internet access and test relying on the
Internet might break in the future. So just disable these tests.

Bug: https://github.com/beevik/ntp/issues/37
Signed-off-by: Benjamin Drung <benjamin.drung@ionos.com>
---
 ntp_test.go | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/ntp_test.go b/ntp_test.go
index db13aa3..4d07300 100644
--- a/ntp_test.go
+++ b/ntp_test.go
@@ -48,6 +48,7 @@ func assertInvalid(t *testing.T, r *Response) {
 	}
 }
 
+/* Requires Internet connection: https://github.com/beevik/ntp/issues/37
 func TestTime(t *testing.T) {
 	tm, err := Time(host)
 	now := time.Now()
@@ -57,6 +58,7 @@ func TestTime(t *testing.T) {
 		t.Logf("Offset %v\n", tm.Sub(now))
 	}
 }
+*/
 
 func TestTimeFailure(t *testing.T) {
 	// Use a link-local IP address that won't have an NTP server listening
@@ -73,6 +75,7 @@ func TestTimeFailure(t *testing.T) {
 	assert.True(t, diffMinutes > -1 && diffMinutes < 1)
 }
 
+/* Requires Internet connection: https://github.com/beevik/ntp/issues/37
 func TestQuery(t *testing.T) {
 	t.Logf("[%s] ----------------------", host)
 	t.Logf("[%s] NTP protocol version %d", host, 4)
@@ -100,6 +103,7 @@ func TestQuery(t *testing.T) {
 
 	assertValid(t, r)
 }
+*/
 
 func stringOrEmpty(s string) string {
 	if s == "" {
-- 
2.32.0

